Skip to content

Queue a full sync of one register configuration

POST
/v1/integrations/{provider}/{installation_id}/configs/{config_id}/sync
curl --request POST \
--url https://api.adversarial.com/api/v1/integrations/example/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/configs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/sync
provider
required
string

Provider slug

installation_id
required
string format: uuid

Installation identifier

config_id
required
string format: uuid

Configuration identifier

Sync queued

Media typeapplication/json

Acknowledgement that an import has been accepted for background processing (HTTP 202).

object
status
required

Dispatch status; "queued" when the import has been accepted.

string
Examplegenerated
{
"status": "example"
}

Configuration has no register capability

Missing the write permission of the configuration’s register

Unknown provider, installation, or configuration